> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/spritemanager/sortyspritessecondary.md).

# SortYSpritesSecondary

[<- SpriteManager](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php)

### Introduction

The SortYSpritesSecondary performs a sort on all ordered [Sprites](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) so that sprites with a larger Y are drawn first. The sorting based off of Y is only done on Sprites which have the same Z value. Therefore, Z takes first priority, then [Sprites](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) with the same Z will be sorted so Sprites at the bottom of the screen (smaller Y values) will be drawn last (on top). If you desire to sort the Sprites by their Y to control drawing order, it is usually better to assign [FlatRedBall.SpriteManager.OrderedSortType](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) so that the ordered sort type doesn't conflict with the manual Y-based sorting.

### Code Example - Manually Calling SortYSpritesSecondary

The SortYSpritesSecondary method can be called manually. Note that this is not needed if you have set the [OrderedSortType](https://github.com/flatredball/FlatRedBallDocs/tree/main/documentation/api/flatredball/spritemanager/orderedsorttype.md). To use SortYSpritesSecondary manually, call the method every frame **at the end of Update**. Add the following code at the end of your Update call (or your [Screen's](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) Activity method):

```
SpriteManager.SortYSpritesSecondary();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/spritemanager/sortyspritessecondary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
